Get Fields
Query Parameters
- Type: enumfield
_type _level
Responses
- application/json
- application/json
Request Example for get/companies/fields/
curl 'https://crm.dreamhub.ai/api/v1/settings/companies/fields/?field_type_level=standard' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"fields": [
{
"label": "string",
"fieldType": "string",
"displayType": "string",
"dataSource": "system",
"filledByDreamer": true,
"dreamerFlow": {
"additionalProperty": "anything"
},
"showInCreation": true,
"showInDetailedView": true,
"required": false,
"config": {
"additionalProperty": "anything"
},
"linkedDataInfo": {
"targetTable": "string",
"sourceKey": "string",
"targetKey": "string",
"targetField": "string",
"targetType": "string"
},
"helpText": "string",
"id": "string",
"fieldKey": "string",
"order": 1,
"createdAt": "2026-09-29T00:02:20.885Z",
"isDeleted": false,
"readOnly": false,
"fieldManagement": {
"canEditDefinition": false,
"canHide": false,
"canDelete": false,
"canReorder": true,
"canEditOptions": false
},
"section": 1,
"additionalProperty": "anything"
}
]
}
